%define ver 2.001
%define rel 9
%global __requires_exclude perl\\((ctime.pl|sdf::.*)\\)


%{!?mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Name:		sdf
Version:	%{ver}
Release:	%mkrel %rel
License:	BSD like
Group:		Publishing
Summary:	Simple Document Format document development system
Source:		%{name}-%{version}.tar.bz2
URL:		https://metacpan.org/release/%{name}-%{version}
BuildRequires:	perl
Buildarch:	noarch
Patch1:		sdf-remove-match-metachar.patch

%description
SDF (Simple Document Format) is a freely available document development
system which generates high quality outputs in a variety of formats
from a single source. The output formats supported include
PostScript(tm), PDF, HTML, plain text, POD, man pages, LaTeX,
MIF, SGML, Windows(tm) help, RTF, MIMS F6 help and MIMS HTX help.
If the idea of specifying documents in a logical manner via a
simple markup language sounds appealing, SDF may be useful to you.

SDF documents are simple to create and maintain, minimising the time
spent on documentation. In particular, SDF directly supports the
creation and maintenance of large, on-line documentation systems
(including intranets) via centralised hypertext management and
rule-based hypertext generation. As well as normal documents,
SDF is useful for:

* user manuals (paper-based and online)
* online document catalogs
* Perl module documentation
* Delphi(tm) component documentation
* source code listings (pretty printing most languages).

SDF is also good for literate programming, i.e. documentation can
be embedded in the comments of most programming languages and can be
selectively extracted. The embedded documentation can be in any
markup language you like, although there are advantages to using
SDF's markup language.

SDF is freely available for commercial and non-commercial use.
See the LICENSE file for details.

%prep
%setup -q
%autopatch -p1

%build
perl Makefile.PL
%make_build

%install
%make_install INSTALLDIRS=vendor

%files
%{_bindir}/*
%{perl_vendorlib}/%{name}
%{perl_vendorlib}/Pod/*.pm
%{_mandir}/man?/*
%doc LICENSE README PODNOTES





%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.001-9.mga9
+ Revision: 1812586
- Mageia 9 Mass Rebuild

* Sat Apr 18 2020 buchan <buchan> 2.001-8.mga8
+ Revision: 1568937
- Fix '$* is no longer supported as of Perl 5.30'

* Wed Feb 12 2020 umeabot <umeabot> 2.001-7.mga8
+ Revision: 1500023
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.001-6.mga7
+ Revision: 1275410
- Mageia 7 Mass Rebuild

* Sun Jun 04 2017 buchan <buchan> 2.001-5.mga6
+ Revision: 1106622
- Fix requires excludes

* Sun Jun 04 2017 buchan <buchan> 2.001-4.mga6
+ Revision: 1106615
- imported package sdf


* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 2.001-4mdv2010.0
+ Revision: 433640
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.001-3mdv2008.1
+ Revision: 140782
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Buchan Milne <bgmilne@mandriva.org> 2.001-3mdv2008.0
+ Revision: 78636
- Force all installation dirs to vendor
- Rebuild


* Wed Dec 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.001-2mdk
- rebuild for cooker
- add distro-specific release tag

* Sun Jun 13 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.001-1mdk
- first Mandrake package

